svyset V100 [pweight=V102], vce(linearized) singleunit(missing)

/* Generating Control Variables */

gen repub=1 if V212a==2

replace repub=0 if V212a==1 | V212a==3

gen dem=1 if V212a==1

replace dem=0 if V212a==2 | V212a==3

gen ind=1 if V212a==3
replace ind=0 if V212a==1 | V212a==2

gen NoHSEdu=(V213==1)
gen HSGrad=(V213==2)
gen SomeCollege=(V213==3|V213==4)
gen College4yr=(V213==5|V213==6)
gen Age=2009-V207
gen r_gender=(V208==1) 
recode WAS320 (1 2 3=1 "Yes") (4=0 "No") (8 9=.), gen(r_econclass)
gen fam_income=V246
recode fam_income (15 98 99=.) // to allow for skipped and missings to be coded as missing, too.

gen Ideology=V243 
recode Ideology (1=0) (2=1) (3=2) (4=3) (5=4) (6 8 9=.)

gen PartyID_7pt=V212d 
gen PartyID_3pt=V212a

gen RepubvsDem=.
replace RepubvsDem=1 if V212a==2
replace RepubvsDem=0 if V212a==1
gen Independent=(V212a==3)
*recode to . for people not sure on party question.
replace Independent=. if V212a>3
notes RepubvsDem: 1 if Republican 0 if Democrats. Indpts missing

gen McCainVsObamaVote=.
replace McCainVsObamaVote=0 if CC317==1
replace McCainVsObamaVote=1 if CC317==2
notes McCainVsObamaVote: 1 if McCain voter in 08 0 if Obama

gen r_unionmem=V264
recode r_unionmem (1=1) (2=1) (3=0)  (8 9=.)
recode V215 (1=1 "Yes") (2=0 "No") (8 9=.), gen(bornagain)
gen religionimp = V216
recode religionimp (4=0) (3=1) (1=3) (8 9=.)

recode CC322_4 (1=1 "Increase patrols") (2=0 "Do not increase patrols") (8 9=.), gen(BorderPat)

gen StockOwner=V266
recode StockOwner (2=0) (8 9=.)
gen GenerationAmerican=V263
gen InterestNews=V244
recode InterestNews (4=0) (3=1) (2=2) (1=3) (7 8 9=.)
notes InterestNews: 0 not at all 3 greatly

/************* Agriculture Questions ***************/

/* Creating Dummies for Treatments */
sort was322_text
tab was322_text, gen(was322treat)
sort was328_text
tab was328_text, gen(was328treat)

/* Creating Dummies for Suppport */
gen WAS322support=0 if WAS322~=.
replace WAS322support=1 if WAS322==1 | WAS322==2
gen WAS328support=0 if WAS328~=.
replace WAS328support=1 if WAS328==1

/* Creating Dummy for Support, Don't Know Excluded */
gen WAS322supportnodk=0 if WAS322~=.
replace WAS322supportnodk=. if WAS322==5
replace WAS322supportnodk=1 if WAS322==1 | WAS322==2
gen WAS328supportnodk=0 if WAS328~=. 
replace WAS328supportnodk=. if WAS322==3
replace WAS328supportnodk=1 if WAS328==1

/* Table 1 */
by was328_text: sum WAS328support was328treat1 PartyID_7pt r_gender InterestNews HSGrad SomeCollege College4yr 

/* Table 2 */
svy: tab WAS328supportnodk was328_text, col ci level (90)

/* Table 3, Model 1 */
svy:probit WAS328supportnodk was328treat1 
outreg2 using local,  bdec(3) tdec(3) e(all) replace
margins, dydx(was328treat1)
/* Table 3, Model 2 */
svy:probit WAS328supportnodk was328treat1 PartyID_7pt r_gender InterestNews HSGrad SomeCollege College4yr 
outreg2 using local,  bdec(3) tdec(3) e(all) excel 
margins, dydx(was328treat1)
/* Table 3, Model 3 */
svy:probit WAS328support was328treat1 
outreg2 using local,  bdec(3) tdec(3) e(all) 
margins, dydx(was328treat1)
/* Table 3, Model 4 */
svy:probit WAS328support was328treat1 PartyID_7pt r_gender InterestNews HSGrad SomeCollege College4yr 
outreg2 using local,  bdec(3) tdec(3) e(all) excel
margins, dydx(was328treat1)

/* Table 4 */
svy: tab WAS328supportnodk was328_text if dem==1, col ci level (90)
svy: tab WAS328supportnodk was328_text if rep==1, col ci level (90)

/* Table 5 */
tab WAS322

/* Table 6 */
svy: tab WAS322supportnodk was322_text, col ci level (90)

/* Limits to Experiments Section */

sort was301_text
tab was301_text, gen (was301treat)
/* Dummy for Support Lowering Taxes */
gen support301nodk=0 if WAS301~=5 
replace support301nodk=1 if WAS301==1 | WAS301==2

/* Dummy for Support More Spending on Roads and Ports */
gen support302nodk=0 if WAS302~=5 
replace support302nodk=1 if WAS302==1 | WAS302==2

/* Dummy for Support More Reductions in Trade Barriers */

gen support303nodk=0 if WAS303~=5 
replace support303nodk=1 if WAS303==1 | WAS303==2

svy: tab support301nodk was301treat2, col ci level(90)
svy: tab support302nodk was301treat2, col ci level(90)
svy: tab support303nodk was301treat2, col ci level(90)

